Package org.apache.catalina.authenticator

## Class Constants

- java.lang.Object
- - org.apache.catalina.authenticator.Constants

    public class Constants
    extends Object

### Field Summary

Fields
`static String` `DEFAULT_JAAS_CONF`
`static String` `DEFAULT_KRB5_CONF`
`static String` `DEFAULT_LOGIN_MODULE_NAME`
`static String` `FORM_ACTION`
`static String` `FORM_PASSWORD`
`static String` `FORM_REQUEST_NOTE` The original request information, to which the user will be redirected if authentication succeeds, is cached in the notes under this key during the authentication process.
`static String` `FORM_USERNAME`
`static String` `JAAS_CONF_PROPERTY`
`static String` `KRB5_CONF_PROPERTY`
`static String` `REQ_JASPIC_SUBJECT_NOTE`
`static String` `REQ_SSOID_NOTE` The notes key to track the single-sign-on identity with which this request is associated.
`static String` `SESS_PASSWORD_NOTE` If the `cache` property of the authenticator is set, and the current request is part of a session, the password used to authenticate this user will be cached under this key to avoid the need for repeated calls to `Realm.authenticate()`.
`static String` `SESS_USERNAME_NOTE` If the `cache` property of the authenticator is set, and the current request is part of a session, the user name used to authenticate this user will be cached under this key to avoid the need for repeated calls to `Realm.authenticate()`.
`static String` `SESSION_ID_NOTE` The session id used as a CSRF marker when redirecting a user's request.
`static String` `SINGLE_SIGN_ON_COOKIE`
`static String` `SPNEGO_METHOD`

### Constructor Summary

Constructors
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SPNEGO_METHOD

    public static final String SPNEGO_METHOD

See Also:
  Constant Field Values

#### FORM_ACTION

    public static final String FORM_ACTION

See Also:
  Constant Field Values

#### FORM_PASSWORD

    public static final String FORM_PASSWORD

See Also:
  Constant Field Values

#### FORM_USERNAME

    public static final String FORM_USERNAME

See Also:
  Constant Field Values

#### KRB5_CONF_PROPERTY

    public static final String KRB5_CONF_PROPERTY

See Also:
  Constant Field Values

#### DEFAULT_KRB5_CONF

    public static final String DEFAULT_KRB5_CONF

See Also:
  Constant Field Values

#### JAAS_CONF_PROPERTY

    public static final String JAAS_CONF_PROPERTY

See Also:
  Constant Field Values

#### DEFAULT_JAAS_CONF

    public static final String DEFAULT_JAAS_CONF

See Also:
  Constant Field Values

#### DEFAULT_LOGIN_MODULE_NAME

    public static final String DEFAULT_LOGIN_MODULE_NAME

See Also:
  Constant Field Values

#### SINGLE_SIGN_ON_COOKIE

    public static final String SINGLE_SIGN_ON_COOKIE

See Also:
  Constant Field Values

#### REQ_SSOID_NOTE

    public static final String REQ_SSOID_NOTE

The notes key to track the single-sign-on identity with which this request is associated.

See Also:
  Constant Field Values

#### REQ_JASPIC_SUBJECT_NOTE

    public static final String REQ_JASPIC_SUBJECT_NOTE

See Also:
  Constant Field Values

#### SESSION_ID_NOTE

    public static final String SESSION_ID_NOTE

The session id used as a CSRF marker when redirecting a user's request.

See Also:
  Constant Field Values

#### SESS_PASSWORD_NOTE

    public static final String SESS_PASSWORD_NOTE

If the `cache` property of the authenticator is set, and the current request is part of a session, the password used to authenticate this user will be cached under this key to avoid the need for repeated calls to `Realm.authenticate()`.

See Also:
  Constant Field Values

#### SESS_USERNAME_NOTE

    public static final String SESS_USERNAME_NOTE

If the `cache` property of the authenticator is set, and the current request is part of a session, the user name used to authenticate this user will be cached under this key to avoid the need for repeated calls to `Realm.authenticate()`.

See Also:
  Constant Field Values

#### FORM_REQUEST_NOTE

    public static final String FORM_REQUEST_NOTE

The original request information, to which the user will be redirected if authentication succeeds, is cached in the notes under this key during the authentication process.

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()